#
# Copyright (c) 2017-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

def parse_rpm_output(cmd_out):
    version = None
    release = None

    lines = cmd_out.splitlines()

    for line in lines:
        if ':' not in line:
            continue

        words = line.split(':')

        if len(words) < 2:
            continue

        attr = words[0]
        value = words[1]

        if str(attr).lower().strip() == 'version':
            version = str(value).strip()

        if str(attr).lower().strip() == 'release':
            release = str(value).strip()

    if version and release:
        version = version + '-' + release
    elif version:
        version = version
    else:
        version = ''

    return version

def parse_dpkg_output(cmd_out):
    version = ''

    lines = cmd_out.splitlines()

    for line in lines:
        if ':' not in line:
            continue

        words = line.split(':')

        if len(words) < 2:
            continue

        attr = words[0]
        value = words[1]

        if str(attr).lower().strip() == 'version':
            version = str(value).strip()

    return version

def process_agent_version(cmd_out, platform, **kwargs):
    version = ''
    if 'rhel' in platform:
        version = parse_rpm_output(cmd_out)
    elif 'red hat' in platform:
        version = parse_rpm_output(cmd_out)
    elif 'centos' in platform:
        version = parse_rpm_output(cmd_out)
    else:
        version = parse_dpkg_output(cmd_out)

    return version
