#
# Copyright (c) 2020-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

import subprocess
from threading import Timer


class ReturnGroup:
    def __init__(self, **kwargs):
        self.__dict__.update(kwargs)


class return_group:
    def __init__(self, **kwargs):
        self.__dict__.update(kwargs)


class BaseRender(object):
    def __init__(self):
        self.model = None
        self.command = None

    def execute(self):
        raise NotImplementedError

    def parse(self, cmd_output, svc_failed=False, **kwargs):
        raise NotImplementedError

    # Utilites
    def run_command(self, cmd):
        try:
            proc = subprocess.Popen(cmd.split(), stdout=subprocess.PIPE, stderr=subprocess.PIPE)
            timer = Timer(2, proc.kill)
            try:
                timer.start()
                (out, err) = proc.communicate()
            finally:
                timer.cancel()
            if proc.returncode != 0:
                return return_group(success=False, op="")
            else:
                return return_group(success=True, op=out)
        except OSError:
            return return_group(success=False, op="")
