#
# Copyright (c) 2019-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#


from netq_agent.parsers.common.clSupport import ClSupportRender


class CumulusSupportRender(ClSupportRender):
    def __init__(self): #pylint: disable=useless-super-delegation
        super(CumulusSupportRender, self).__init__()

    @staticmethod
    def _get_filepath():
        return "/var/support"

    @staticmethod
    def _get_file_start_name():
        return "cl_support"

    @staticmethod
    def _get_file_end_name():
        return "txz"


def process_cl_support(cmd_output, svc_failed=False, **kwargs):
    render = CumulusSupportRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
