#
# Copyright (c) 2019-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#


from netq_agent.parsers.common.configMon import ConfigMonRender


class CumulusConfigMonRender(ConfigMonRender):

    def __init__(self): #pylint: disable=useless-super-delegation
        super(CumulusConfigMonRender, self).__init__()

    def get_config_dict(self):
        ##conf_dict = configuration.get_config("config-diff")
        conf_dict = {
            'config-diff': {
                'interfaces': '/etc/network/interfaces',
                'frr': '/etc/frr/frr.conf',
                'lldpd': '/etc/lldpd.d/README.conf',
                'ptm': '/etc/ptm.d/topology.dot',
                'ntp': '/etc/ntp.conf',
                'snmpd': '/etc/snmp/snmpd.conf'
            }
        }
        return conf_dict


def process_config_mon(cmd_output, svc_failed=False, **kwargs):
    render = CumulusConfigMonRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
