#
# Copyright (c) 2019-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

from netq_agent.parsers.common.dpkg import DpkgRender


class CumulusDpkgRender(DpkgRender):
    def __init__(self): #pylint: disable=useless-super-delegation
        super(CumulusDpkgRender, self).__init__()

    def get_os_version(self):
        clVersionResult = self.run_command("cat /etc/os-release")
        clVersion = "N/A"
        if clVersionResult.success and clVersionResult.op:
            for attribute in clVersionResult.op.decode().split("\n"):
                attributes = attribute.split("=")
                if attributes[0] == "VERSION":
                    clVersion = attributes[1]
        return clVersion.strip('\"')



def process_dpkg(cmd_output, svc_failed=False, **kwargs):
    render = CumulusDpkgRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
