#
# Copyright (c) 2017-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

from netq_agent.parsers.common.ospf import OspfIfRender, OspfNbrRender

class CumulusOspfIfRender(OspfIfRender):
    def __init__(self): #pylint: disable=useless-super-delegation
        super(CumulusOspfIfRender, self).__init__()


def process_ospf_if(cmd_output, svc_failed=False, **kwargs):
    """Process OSPF interface info
    """
    render = CumulusOspfIfRender()
    return render.parse(cmd_output, svc_failed, **kwargs)


class CumulusOspfNbrRender(OspfNbrRender):
    def __init__(self): #pylint: disable=useless-super-delegation
        super(CumulusOspfNbrRender, self).__init__()


def process_ospf_neighbors(cmd_output, svc_failed=False, **kwargs):
    """Process OSPF neighbors info
    """
    render = CumulusOspfNbrRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
