#
# Copyright (c) 2017-2022 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

from netq_agent.parsers.common.proc import ProcRender
from netq_lib.common.utils import is_swp_kind


class CumulusProcRender(ProcRender):
    def __init__(self): #pylint: disable=useless-super-delegation
        super(CumulusProcRender, self).__init__()

    def get_interfaces(self, **kwargs):
        # Get interface names: (containing "swp"), (not containing "."), (not ending with "-v0")
        if_names = kwargs.get('ports', None)
        if_names = [i for i in if_names if (i.startswith("eth") or is_swp_kind(i)) and ("." not in i) and not i.endswith('-v0')]
        return if_names

    def get_command(self, ifname):
        return "ethtool -S {}".format(ifname)


def process_proc_net_dev(output, svc_failed=False, **kwargs):
    """
    Parse /proc/net/dev counters
    """
    render = CumulusProcRender()
    return render.parse(output, svc_failed, **kwargs)
