#
# Copyright (c) 2019-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

from netq_agent.parsers.common.runningConfigMonitor import RunningConfigMonRender


class CumulusRunningConfigMonRender(RunningConfigMonRender):
    def __init__(self): #pylint: disable=useless-super-delegation
        super(CumulusRunningConfigMonRender, self).__init__()

    def get_config_dict(self):
        ##conf_dict = configuration.get_config("config-diff")
        conf_dict = {
            'running-config-diff': {
                'clag-params': 'clagctl params'
            }
        }
        return conf_dict

def process_running_config_mon(cmd_output, svc_failed=False, **kwargs):
    render = CumulusRunningConfigMonRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
