#
# Copyright (c) 2017-2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

from netq_agent.parsers.common.systemctl import ServicesRender
from netq_lib.common.enums import (
    RunningService,
    CentosRunningService,
    RhelRunningService,
)

class CumulusServicesRender(ServicesRender):
    def __init__(self, logger): #pylint: disable=useless-super-delegation
        super(CumulusServicesRender, self).__init__(logger)

    @staticmethod
    def get_monitored_services():
        monitored_services = [
            RhelRunningService.NTP,
            RhelRunningService.CHRONY,
            CentosRunningService.NTP,
            CentosRunningService.CHRONY,
            RunningService.CHRONY,
            RunningService.NTP,
            RunningService.NETQD,
            RunningService.NETQAGENT,
            RunningService.NETQNOTIFIER,
            RunningService.NVUED,
            RunningService.PTP4L,
        ]
        return monitored_services


def process_systemctl(cmd_out, fullstate, logger, platform):
    render = CumulusServicesRender(logger)
    render.parse(cmd_out, fullstate, platform)
