#
# Copyright (c) 2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#


from netq_agent.parsers.common.clSupport import ClSupportRender


class SonicSupportRender(ClSupportRender):
    def __init__(self):
        super(SonicSupportRender, self).__init__()

    @staticmethod
    def _get_filepath():
        return "/var/dump"

    @staticmethod
    def _get_file_start_name():
        return "sonic_dump"

    @staticmethod
    def _get_file_end_name():
        return ".tar.gz"


def process_cl_support(cmd_output, svc_failed=False, **kwargs):
    render = SonicSupportRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
