#
# Copyright (c) 2021-2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

from netq_agent.parsers.common.systemctl import ServicesRender
from netq_lib.common.enums import (
    RunningService,
    SonicRunningService
)

class SonicServicesRender(ServicesRender):
    def __init__(self, logger):
        super(SonicServicesRender, self).__init__(logger)

    @staticmethod
    def get_monitored_services():
        monitored_services = [
            SonicRunningService.MGMT_FWK,
            SonicRunningService.TELEMETRY,
            SonicRunningService.SNMP,
            SonicRunningService.RADV,
            SonicRunningService.DHCP_RELAY,
            SonicRunningService.PMON,
            SonicRunningService.LLDP,
            SonicRunningService.SYNCD,
            SonicRunningService.TEAMD,
            SonicRunningService.SWSS,
            SonicRunningService.BGP,
            SonicRunningService.DATABASE,
            RunningService.NTP,
            RunningService.DOCKER,
            RunningService.NETQD,
            RunningService.NETQAGENT
        ]
        return monitored_services


def process_systemctl(cmd_out, fullstate, logger, platform):
    render = SonicServicesRender(logger)
    render.parse(cmd_out, fullstate, platform)
