#!/usr/bin/env python
#
# Copyright (c) 2019-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#


import socket
import sys
import argparse


HOST = b'/run/netq_cli_server'
sock = socket.socket(socket.AF_UNIX, socket.SOCK_STREAM)
sock.connect(HOST)

parser = argparse.ArgumentParser(description='agentctl arguments parser')

parser.add_argument('-m', '--model', help='print details of model')
parser.add_argument('-a', '--all', help='print details of all models', action='store_true')

args = parser.parse_args()

if (args.model):
    print(("Dumping model %s /var/log/netq-model-%s-xxx", args.model))
    sock.send(bytes(args.model, 'utf-8'))
else:
    print("Dumping ALL models in /var/log/netq-model-xxx")
    sock.send(b'all')
sock.close()
sys.exit(0)
