#
# Copyright (c) 2018-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

import grpc
import time

from netq_agent.interface.netq_pb2 import *
from netq_agent.interface.netq_pb2_grpc import *


def netq_client_stream(stub):
    msg = NetqOPTARequest()

    print("Sending empty request")

    response = stub.StreamMessage(msg)

    for res in response:
        print(res)


def run():

    channel = grpc.insecure_channel("20.200.1.3:8981")

    stub = NetqAgentStreamServiceStub(channel)

    while True:
        time.sleep(1)
        netq_client_stream(stub)


if __name__ == '__main__':
    run()
