#
# Copyright (c) 2019-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#


from collections import defaultdict


class AgentStatsMon(object):
    __instance = None
    message_count = defaultdict(int)
    msg_type_count = defaultdict(int)
    msgtype_fullstate_count = defaultdict(int)
    agent_util_stats = defaultdict(float)
    pq_full_count = 0
    agent_pause_count = 0

    @staticmethod
    def get_instance():
        if AgentStatsMon.__instance is None:
            AgentStatsMon()
        return AgentStatsMon.__instance

    def __init__(self):
        if AgentStatsMon.__instance is None:
            AgentStatsMon.__instance = self

    def reset_agent_stats_counters(self):
        self.message_count = defaultdict(int)
        self.msg_type_count = defaultdict(int)
        self.msgtype_fullstate_count = defaultdict(int)
        self.agent_util_stats = defaultdict(float)
        self.pq_full_count = 0
        self.agent_pause_count = 0

