#
# Copyright (c) 2016-2023 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

import socket
from netq_lib.common import configuration
import os

def get_netq_hostname():
    """

    :return: Hostname based on the fqdn type (long or short)
    """
    conf_dict = configuration.get_config('netq-agent')
    fqdn = conf_dict.get('netq-agent').get('fqdn', "short")

    hostname=None
    if fqdn.lower() == "short":
        hostname=str(socket.gethostname().split(".")[0])
    else:
        hostname= str(socket.gethostname())


    if conf_dict.get('netq-agent').get('generate-unique-hostname',False):
        path = '/etc/hosts'
        with open(path, 'r') as fd:
            for line in fd.readlines():
                entry = line.strip().split()
                if len(entry) and '127.0.2.1' in entry:
                    hostname = entry[2]+"-"+entry[1]

    return hostname


HOSTNAME = get_netq_hostname()
