#
# Copyright (c) 2016-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#

from abc import ABCMeta, abstractmethod


class Q(object):

    def __init__(self, key_type=None, **kwargs):
        self.key_type = key_type
        self.kwargs = kwargs

class Query(object, metaclass=ABCMeta):  # flake8: noqa
    @abstractmethod
    def all(self, key_type=None, timestamp=None):
        raise NotImplementedError

    @abstractmethod
    def delete(self, key_type=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def filter(self, key_type=None, timestamp=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def keys(self, key_type=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def get(self, key_type=None, timestamp=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def latest(self, key_type=None, **kwargs):
        raise NotImplementedError

    @abstractmethod
    def range(self, key_type=None, reverse=False, start=-1, end=-1, first=True,
              **kwargs):
        raise NotImplementedError

    @abstractmethod
    def rangebyscore(self, key_type=None, reverse=False, start=-1, end=-1,
                     first=True, **kwargs):
        raise NotImplementedError
