#
# Copyright (c) 2016-2021 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited
#


class Connection(object):

    SERVER = '127.0.0.1:8000'

    def __init__(self):
        raise NotImplementedError


def _monkey_patch():
    from netq.orm.redisdb import models
    from netq.orm.restapi.query import RestQuery # pylint: disable=cyclic-import
    for model in list(vars(models).values()):
        query_obj = getattr(model, 'query', None)
        if query_obj is not None:
            setattr(model, 'query', RestQuery(model))


def set_connection_settings(server):
    Connection.SERVER = server.replace('http://', '')
    _monkey_patch()
